<?php
defined( 'ABSPATH' ) || exit;
/**
 * The template for displaying the footer.
 * Contains the closing of the #content div and all content after
 * @package ctpress
 * @author coderstime
 */
?>

<?php do_action( 'ctpress_before_footer' ); ?>

<footer class="pt-5">
   <div class="container pb-4">
      <div class="row">
         <?php if(!ctpress_get_option('blogo_hide')): ?>
            <div class="col-md-4 footer-box">
               <div class="footer-logo">
                  <?php if( null !== ctpress_get_option('footer_logo') && false != ctpress_get_option('footer_logo')['url'] ) :  ?>
                     <img src="<?php echo ctpress_get_option('footer_logo')['url']; ?>" class="img-responsive" alt="<?php echo get_bloginfo( 'name' ) . ' logo'; ?>" />
                  <?php endif; ?>
                  
                  <div class="footer-description">
                     <div><?php echo ctpress_get_option('footer_logo_bottom');?></div>
                     <p><?php echo ctpress_get_option('footer_text');?></p>
                  </div>                  
               </div>
            </div>
            <div class="col-md-4 footer-box">
               <div class="footer-logo address">
                  <ul>
                     <li>
                       <?php echo ctpress_get_option('footer_info');?>                   
                     </li>
                  </ul>                     
               </div>
            </div>
            <div class="col-md-4 footer-box">
               <?php get_template_part( 'template-parts/footer/site', 'social' ); ?>
            </div>
         <?php else: ?>
         <?php if (wp_is_mobile()): ?>
            <div class="col-md-4 footer-box">
               <ul class="float-none" style="width:fit-content;margin:0 auto;">
                  <?php 
                     $pages_ids = (array) explode(',', ctpress_get_option('footer_pages')); 
                     foreach( $pages_ids as $id ) {
                        echo '<li><a href="'.esc_attr( esc_url( get_page_link( $id ) ) ).'"><span style="color:#404040">'.get_the_title( $id ).'</span></a></li>';
                     }
                  ?>  
               </ul>
            </div>
            <div class="col-md-4 footer-box" style="margin-bottom:0px;">
               <div class="footer-logo address">
                  <?php echo ctpress_get_option('footer_info');?>                   
               </div>
            </div>            
         <?php else: ?>
            <div class="col-md-4 footer-box">
               <div class="footer-logo address">
                  <?php echo ctpress_get_option('footer_info');?>                   
               </div>
            </div>
            <div class="col-md-4"></div>
            <div class="col-md-4 footer-box">
               <ul class="float-end">
                  <?php 
                     $pages_ids = (array) explode(',', ctpress_get_option('footer_pages')); 
                     foreach( $pages_ids as $id ) {
                        echo '<li><a href="'.esc_attr( esc_url( get_page_link( $id ) ) ).'"><span style="color:#404040">'.get_the_title( $id ).'</span></a></li>';
                     }
                  ?>  
               </ul>
            </div>
         <?php endif; ?>            
         <?php endif; ?>

      </div>
   </div>
   <!-- show credit link info -->
   <?php ctpress_credit_link(); ?>
</footer>

      <?php do_action( 'ctpress_after_footer' ); ?>
      <?php wp_footer(); ?>
   </body>
</html>